StdSerializers (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.ser

## Class StdSerializers

- java.lang.Object
- - org.codehaus.jackson.map.ser.StdSerializers

-     public class StdSerializers
      extends Object

  Container class for serializers used for handling standard JDK-provided types.
  Since:
    1.5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StdSerializers.BooleanSerializer` Serializer used for primitive boolean, as well as java.util.Boolean wrapper type.
    `static class` | `StdSerializers.CalendarSerializer` Deprecated. Since 1.9, use `DateSerializer` instead
    `static class` | `StdSerializers.DoubleSerializer` This is the special serializer for regular `Double`s (and primitive doubles)
    `static class` | `StdSerializers.FloatSerializer`
    `static class` | `StdSerializers.IntegerSerializer` This is the special serializer for regular `Integer`s (and primitive ints)
    `static class` | `StdSerializers.IntLikeSerializer` Similar to `StdSerializers.IntegerSerializer`, but will not cast to Integer: instead, cast is to `Number`, and conversion is by calling `Number.intValue()`.
    `static class` | `StdSerializers.LongSerializer`
    `static class` | `StdSerializers.NumberSerializer` As a fallback, we may need to use this serializer for other types of `Number`s (custom types).
    `static class` | `StdSerializers.SerializableSerializer` Deprecated. Since 1.9, use `DateSerializer` instead
    `static class` | `StdSerializers.SerializableWithTypeSerializer` Deprecated. Since 1.9, use `DateSerializer` instead
    `static class` | `StdSerializers.SqlDateSerializer` Compared to regular `StdSerializers.UtilDateSerializer`, we do use String representation here.
    `static class` | `StdSerializers.SqlTimeSerializer`
    `static class` | `StdSerializers.StringSerializer` Deprecated. Since 1.9, use `StringSerializer` instead
    `static class` | `StdSerializers.UtilDateSerializer` Deprecated. Since 1.9, use `DateSerializer` instead

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StdSerializers()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StdSerializers

          protected StdSerializers()